# __gnu_cxx::typelist::detail::chain_flatten_< chain< Hd_Typelist, Tl_Typelist > > Struct Template Reference

List of all members.

## Detailed Description

### template<typename Hd_Typelist, class Tl_Typelist>
struct __gnu_cxx::typelist::detail::chain_flatten_< chain< Hd_Typelist, Tl_Typelist > >

Definition at line 300 of file typelist.h.

## Public Types

- typedef append_type::type::root type

The documentation for this struct was generated from the following file:

- typelist.h